% Linux előadás
% Tóth Miklós
% March 21, 2021

# Pár egyéb hasznos parancs

## `wc`

- word counter
- szavak, sorok számolása

```shell-session
[mike@thinkyboi ~]$ echo "egy két há" | wc -w
3
[mike@thinkyboi ~]$ echo "egy két há" | wc -l
1
[mike@thinkyboi ~]$ echo "egy
két
há" | wc -l
3
```

## `tr`

- karaktereket cserél ki vagy töröl

```shell-session
[mike@thinkyboi ~]$ echo "almafa" | tr "a" "e"
elmefe
[mike@thinkyboi ~]$ echo "almafa körtefa eperfa" | tr " " "\n"
almafa
körtefa
eperfa
[mike@thinkyboi ~]$ echo "almafa" | tr -d "a"
lmf
```

## `curl`

- http shellből
- 

# `>>` operátor

- `>` tesója
- filehoz appendál
```shell
curl https://git.sch.bme.hu/mikewashere.keys >> .ssh/authorized_keys
```
