# Saját virtuális gép

## Pár szó

Mostani alkalomtól biztosítunk mindannyiótoknak
1-1 virtuális gépet, melyet az SCH belső hálózatáról
fogtok elérni.  
Ezek a gépek a saját
[VMWare](https://en.wikipedia.org/wiki/VMware) klaszterünkben
futnak majd egészen a képzés végéig.

Specifikáció:

- Oprendszer: Ubuntu 20.04.2
- RAM: 1GB
- CPU: 1 Mag (AMD Opteron 6128 vagy AMD EPYC 7251 attól függ,
  hogy a klaszter mely gépén fut)
- Hálózat: belső korlátozott hálózat, nagyvilág felé csak a 
  80 és a 443-as portra lát ki

A gépeken a saját felhasználóinkat (mike, patrik)
beregisztráltuk rendszergazda hozzáféréssel, hogyha bármi lenne,
akkor könnyedén tudjunk segíteni.

## Elérés

A gépet [SSH](második videó#távoli-hozzáférés-ssh)
-n keresztül tudod majd menedzselni, viszont csak
az SCH belső hálózatán.
Ahhoz, hogy elérd kívülről a gépet, be kell
SSH-zz először a publikus terminál szerverünkre
és onnan tovább.

Ennek menete:

```
$ ssh saját_schaccod_neve@home.sch.bme.hu
...
Belépsz az SCH-s fiókoddal (SCHACC)
*A saját_schaccod_neve helyére a schacc-od nevét kell írni*
...
$ ssh kepzodo@kepzes-{ID}.internal
...
Belépsz a Mattermoston kapott infókkal
...
```

Ha windowsról vagy hasonló a folyamat.
Nyiss egy Windows Terminált vagy egy parancssort vagy egy PowerShell-t,
és oda írd be ugyanezeket a parancsokat.

Ha Windows 7 vagy korábbi verzión vagy, akkor
a Putty nevezetű programot használva SSH-zz be először a home.sch.bme.hu-ra, 
majd pedig onnan a parancssorban kiadva az `ssh kepzodo@kepzes-{ID}.internal` parancsot
be is léphetsz a gépedre.


